#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		plasma-pa
Version: 6.3.91
Release:	%mkrel %rel
Summary:	Plasma applet for audio volume management using PulseAudio
License:	LGPLv2+ and GPLv2+
Group:		Graphical desktop/KDE
URL:		https://invent.kde.org/plasma/plasma-pa
Source0:	https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Test)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Declarative)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6GlobalAccel)
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:	cmake(KF6Svg)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6PulseAudioQt)

BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(KF6Kirigami)
BuildRequires:	kirigami-addons
BuildRequires:	kitemmodels

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	sound-theme-freedesktop

Requires:	sound-theme-freedesktop
Requires:	kirigami
Requires:	kirigami-addons
Requires:	kitemmodels

# Virtual Provides to support swapping between PipeWire-PA and PA
Requires:	pulseaudio-daemon

Recommends:	pulseaudio-module-gsettings

%description
Plasma applet for audio volume management using PulseAudio.

%files -f kcm_pulseaudio.lang -f plasma_applet_org.kde.plasma.volume.lang
%{_kf6_categoriesdir}/plasmapa.*categories
%{_kf6_qmldir}/org/kde/plasma/private/volume
%{_kf6_plugindir}/kded/audioshortcutsservice.so
%{_qt6_plugindir}/plasma/applets/org.kde.plasma.volume.so
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_pulseaudio.so
%{_kf6_applicationdir}/kcm_pulseaudio.desktop

#--------------------------------------------------------------------

%define plasmavolume_major 6
%define libplasmavolume    %mklibname plasma-volume %{plasmavolume_major}

%package -n %{libplasmavolume}
Summary:        Shared library for %{name}
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libplasmavolume}
Shared library for %{name}.

%files -n %{libplasmavolume}
%_kf6_libdir/libplasma-volume.so.%{plasmavolume_major}
%_kf6_libdir/libplasma-volume.so.%{version}

#--------------------------------------------------------------------

%package handbook
Summary:	Plasma-pa handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	plasma-pa-doc < 5.15.0-2

%description handbook
This package provides plasma-pa handbook.

%files handbook
%doc %{_kf6_docdir}/HTML/*/kcontrol/plasma-pa

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_kf6_libdir}/libplasma-volume.so

%find_lang kcm_pulseaudio
%find_lang plasma_applet_org.kde.plasma.volume


%changelog
* Sat May 31 2025 daviddavid <daviddavid> 6.3.91-1.mga10
+ Revision: 2187408
- New version 6.3.91

* Tue May 06 2025 daviddavid <daviddavid> 6.3.5-1.mga10
+ Revision: 2181388
- New version 6.3.5

* Wed Apr 02 2025 daviddavid <daviddavid> 6.3.4-1.mga10
+ Revision: 2172659
- New version 6.3.4

* Thu Mar 13 2025 daviddavid <daviddavid> 6.3.3-1.mga10
+ Revision: 2163320
- New version 6.3.3

* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152483
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149411
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146939
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140837
- New version 6.2.91

* Wed Jan 15 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2139241
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134195
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119069
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113179
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110060
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107235
- New version 6.2.1

* Sun Oct 13 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2105417
- New version 6.2.0

* Thu Sep 12 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2095415
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083928
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079135
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076734
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074844
- New version 6.1.0

* Sat Jun 08 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2071156
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057935
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052506
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049415
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048164
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045022
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036811
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029672
- New version 5.92.0

* Tue Jan 02 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2026305
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Mon Nov 13 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006620
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001133
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988261
- New version 5.27.8

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958064
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951978
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949102
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945809
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944821
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942088
- New version 5.27.0

* Fri Jan 27 2023 daviddavid <daviddavid> 5.26.90-2.mga9
+ Revision: 1936470
- add requires on pulseaudio-daemon to support swapping between PipeWire-PA and PA

* Mon Jan 23 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935096
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930085
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923137
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907556
- New version 5.26.3
- New version 5.26.2

* Sun Sep 18 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1890094
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875483
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872296
- New version 5.25.3
- New version 5.24.5

* Thu Mar 31 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1837515
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766180
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756845
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750096
- New version 5.23.0
- New version 5.22.90

* Sun Jul 18 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736746
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721775
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715408
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704285
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697458
- New version 5.21.2

* Sat Feb 27 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1692657
- New version 5.21.1

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654209
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645431
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1640000
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637753
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635456
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620800
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609618
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603017
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598732
- New version 5.19.2

* Wed Jun 17 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1594025
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580776
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557175
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550391
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548263
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547137
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496329
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487415
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464312
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460070
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456781
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455346
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453178
- New version 5.17.0

* Mon Oct 14 2019 daviddavid <daviddavid> 5.16.90-2.mga8
+ Revision: 1452987
- make sure we use module GSettings and not the GConf's one (mga#25560)

* Sun Sep 29 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448074
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437062
- New version 5.16.5

* Wed Sep 04 2019 daviddavid <daviddavid> 5.16.4-2.mga8
+ Revision: 1437024
- remove the old kdelibs4 part

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426330
- New version 5.16.4

* Thu Jul 11 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1420167
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386862
- New version 5.15.4

* Mon Apr 01 2019 umeabot <umeabot> 5.15.3-2.mga7
+ Revision: 1384013
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374945
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370568
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368608
- New version 5.15.1

* Sun Feb 17 2019 daviddavid <daviddavid> 5.15.0-2.mga7
+ Revision: 1367838
- enable kirigami2 support
- rename doc subpkg as handbook

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367245
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356192
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339329
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1324894
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1300306
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1252561
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204458
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1201004
- New version 5.12.1

* Thu Jan 18 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194310
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185698
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174118
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172403
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1162411
- New version 5.10.95
- New version 5.10.5

* Sun Jul 23 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1129314
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104854
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089040
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078175
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070732
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065160
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064493
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063063
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060442
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057614
- New version 5.8.0

* Fri Sep 16 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053411
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052699
- New version 5.7.5

* Tue Sep 13 2016 daviddavid <daviddavid> 5.7.4-2.mga6
+ Revision: 1052018
- plasma-pa should replace kmix from kde4 during upgrade mga5 -> mga6 (mga#19095)

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048828
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044284
- New version 5.7.3

* Wed Jul 20 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042758
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041409
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039731
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021886
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014554
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009291
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999275
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998030
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994476
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 986985
- New version 5.5.95

* Mon Mar 07 2016 neoclust <neoclust> 5.5.3-2.mga6
+ Revision: 986983
- Rebuild against kf5 5.20.0

* Thu Jan 14 2016 sander85 <sander85> 5.5.3-1.mga6
+ Revision: 923027
- New version: 5.5.3
+ neoclust <neoclust>
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.0-2.mga6
+ Revision: 913587
- Rebuild against Qt 5.6.0 Beta

* Thu Dec 10 2015 sander85 <sander85> 5.5.0-1.mga6
+ Revision: 909352
- New version: 5.5.0
+ neoclust <neoclust>
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.2-2.mga6
+ Revision: 900722
- Rebuild against fixed qtbase5

* Mon Oct 19 2015 sander85 <sander85> 5.4.2-1.mga6
+ Revision: 892759
- imported package plasma-pa


* Mon Oct 19 2015 Sander Lepik <mageia@sander85.eu> - 5.4.2-1
- Initial import into Mageia

* Thu Oct 01 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.4.2-1
- 5.4.2

* Wed Sep 09 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.4.1-1
- 5.4.1

* Tue Aug 25 2015 Daniel Vrátil <dvratil@redhat.com> - 5.4.0-1
- Upate to 5.4.0
- add %%license

* Thu Aug 13 2015 Daniel Vrátil <dvratil@redhat.com> - 5.3.95-1
- Initial version
